% function [yfft, freq] = getfft(x, fs, [fftlen])
%   return fft yfft and frequency scaling of signal x
%   with sample rate fs and fft length fftlen.
%   copied from getfft.m
function [yfft, freq] = getfft(x, fs, fftlen)
  x = x(:)';
  if(nargin > 2)
    if(fftlen < length(x)) 
      y = x(1:fftlen).*bh4(fftlen);
    else
      y = x .* bh4(length(x));
    end
  end
  yfft = abs(fft(y, fftlen)).^2;
  freq = (0:fftlen-1)*fs/fftlen;
